package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 登陆信息
 * 
 * @author WANGWEI
 *
 */
public class LoginInfo implements JsonSerializable {

	private static final long serialVersionUID = 1305354276321732681L;

	/**
	 * 会话ID
	 */
	private String sessionId;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 域名
	 */
	private String domain;

	/**
	 * 登陆账号类型
	 */
	private String accountType;

	/**
	 * 登陆账号值
	 */
	private String accountValue;

	/**
	 * 密码
	 */
	private String password;

	/**
	 * 短信验证码
	 */
	private String smsCode;

	/**
	 * 图片验证码
	 */
	private String imgCode;

	/**
	 * 客户端IP
	 */
	private String clientIp;

	/**
	 * 响应码总是200
	 */
	private Boolean alwaysOK;

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getAccountValue() {
		return accountValue;
	}

	public void setAccountValue(String accountValue) {
		this.accountValue = accountValue;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getClientIp() {
		return clientIp;
	}

	public void setClientIp(String clientIp) {
		this.clientIp = clientIp;
	}

	public Boolean getAlwaysOK() {
		return alwaysOK;
	}

	public void setAlwaysOK(Boolean alwaysOK) {
		this.alwaysOK = alwaysOK;
	}

	public String getSmsCode() {
		return smsCode;
	}

	public void setSmsCode(String smsCode) {
		this.smsCode = smsCode;
	}

	public String getImgCode() {
		return imgCode;
	}

	public void setImgCode(String imgCode) {
		this.imgCode = imgCode;
	}

}
